Uptimeify Docs
MonitorsTcp monitors

Get TCP Monitor

Returns details of a specific TCP monitor.

GET /api/tcp-monitors/:tcpMonitorPublicId

Authentication

Requires a valid session.

  • Header: Authorization: Bearer <token>

Parameters

  • tcpMonitorPublicId (Path, required): TCP monitor public UUID.

cURL

curl "https://YOUR_DOMAIN/api/tcp-monitors/44444444-4444-4444-8444-444444444444" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "id": 300,
  "publicId": "44444444-4444-4444-8444-444444444444",
  "organizationId": 1,
  "customerId": 10,
  "name": "Redis Primary",
  "hostname": "redis.example.com",
  "port": 6379,
  "status": "active",
  "managementType": "managed",
  "checkInterval": 60,
  "timeoutSeconds": 30,
  "customerName": "Example Customer",
  "notificationEmail": null,
  "notificationPhoneNumber": null,
  "lastCheckedAt": "2026-02-26T12:00:00.000Z",
  "createdAt": "2026-02-26T12:00:00.000Z",
  "updatedAt": "2026-02-26T12:00:00.000Z",
  "config": {
    "expectBanner": "+PONG"
  }
}

Errors

  • 400 TCP monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found

On this page